Skip to main content
GET
/
api
/
v1
/
agent-configs
List all `agent_configs` rows for the current tenant.
curl --request GET \
  --url https://api.backside.app/api/v1/agent-configs \
  --header 'Authorization: Bearer <token>'
[
  {
    "agent_kind": "<string>",
    "byok_status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "guardrails": "<unknown>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "budget_default_cents": 123,
    "byok_last_probed_at": "2023-11-07T05:31:56Z",
    "byok_status_reason": "<string>",
    "deadline_default_seconds": 123,
    "schedule": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Agent configs for the current tenant

agent_kind
string
required
byok_status
string
required
created_at
string<date-time>
required
guardrails
any
required
id
string<uuid>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
budget_default_cents
integer<int64> | null
byok_last_probed_at
string<date-time> | null
byok_status_reason
string | null
deadline_default_seconds
integer<int32> | null
schedule
string | null